package tunnel

type Logger interface {
	Trace(args ...interface{})
	Tracef(format string, args ...interface{})

	Debug(args ...interface{})
	Debugf(format string, args ...interface{})

	Info(args ...interface{})
	Infof(format string, args ...interface{})

	Error(args ...interface{})
	Errorf(format string, args ...interface{})

	Fatal(args ...interface{})
	Fatalf(format string, args ...interface{})

	Panic(args ...interface{})
	Panicf(format string, args ...interface{})
}

type logger struct{}

func (l *logger) Trace(args ...interface{})                 {}
func (l *logger) Tracef(format string, args ...interface{}) {}
func (l *logger) Debug(args ...interface{})                 {}
func (l *logger) Debugf(format string, args ...interface{}) {}
func (l *logger) Info(args ...interface{})                  {}
func (l *logger) Infof(format string, args ...interface{})  {}
func (l *logger) Error(args ...interface{})                 {}
func (l *logger) Errorf(format string, args ...interface{}) {}
func (l *logger) Fatal(args ...interface{})                 {}
func (l *logger) Fatalf(format string, args ...interface{}) {}
func (l *logger) Panic(args ...interface{})                 {}
func (l *logger) Panicf(format string, args ...interface{}) {}

var DefaultLogger = &logger{}
